Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Zeihenreihenfolge gesamter Layer ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Zeihenreihenfolge gesamter Layer ändern (282 mal gelesen)
VanessaKrc
Mitglied


Sehen Sie sich das Profil von VanessaKrc an!   Senden Sie eine Private Message an VanessaKrc  Schreiben Sie einen Gästebucheintrag für VanessaKrc

Beiträge: 7
Registriert: 07.11.2022

AutoCad 2023

erstellt am: 24. Nov. 2022 10:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

gibt es eine Möglichkeit die Zeichenreihenfolge eines kompletten Layers zu ändern, also sagen der komplette Layer liegt über/unter diesen Layer.

Durch eine Ergänzung die ich hier im Forum gefunden habe, kann ich einen kompletten Layer auswählen und diesen über/unter ein Objekt setzten, nur würde ich gerne nicht nur ein Objekt auswählen sondern ein kompletten Layer.

Folgenden Befehl habe ich zu kompletten Layerauswahl verwendet:

(defun c:SL nil
(sssetfirst nil (ssget "_X" (list (assoc 8 (entget(ssname (ssget "_:S") 0)))(cons 410 (getvar "CTAB")))))
  (princ)
)

Gibt es zusätzlich die Möglichkeit ein Objekt eine Ebene nach oben bzw. unten zu Schieben, ausgehend von der ursprünglichen Zeichenreihen also gleich wie in Bildbearbeitungsprogrammen.

------------------
Vanessa

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADdog
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADdog an!   Senden Sie eine Private Message an CADdog  Schreiben Sie einen Gästebucheintrag für CADdog

Beiträge: 2225
Registriert: 30.04.2004

Intel Xeon 3,6 GHz
32 GB RAM
NVIDIA Quadro P2000
Windows 10 Enterprise
MS Office 2016
AutoCADmap 3D 2018
WS-Landcad 2018
QGIS 3.10

erstellt am: 24. Nov. 2022 10:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VanessaKrc 10 Unities + Antwort hilfreich

kurz und knapp: nein

------------------

Gruß Thomas
CADdog the dog formerly known as TR

AutoCAD spricht mit einem, aber viele hören nicht zu.

[Diese Nachricht wurde von CADdog am 29. Nov. 2022 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Entsorger01
Moderator
Techniker




Sehen Sie sich das Profil von Entsorger01 an!   Senden Sie eine Private Message an Entsorger01  Schreiben Sie einen Gästebucheintrag für Entsorger01

Beiträge: 3248
Registriert: 07.07.2006

ACAD 2021
Acrobat Prof.
Creative Suite
WIN10

erstellt am: 24. Nov. 2022 10:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VanessaKrc 10 Unities + Antwort hilfreich

Servus Vanessa,

schau mal <<<HIER>>> nach dem Tool 50 (DT-DRAWORDERX)

------------------
Gruß

Michi

""Mögen hätt ich schon wollen, aber dürfen hab ich mich nicht getraut."
Karl Valentin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21389
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 24. Nov. 2022 11:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VanessaKrc 10 Unities + Antwort hilfreich

Hallo mal wieder,

nicht was du schreibst, aber was du meinst: JA, das geht.


>>"gibt es eine Möglichkeit die Zeichenreihenfolge eines kompletten Layers zu ändern, also sagen der komplette Layer liegt über/unter diesen Layer."
1. Layer haben mit der Objektanzeigereihenfolge nichts zutun (in AutoCAD/LT)
2. Die Objektanzeigereihenfolge ist für jedes Objekt innerhalb des aktuellen Bereiches (Modell oder Layout, Block oder Xref) festzulegen.

>>"Durch eine Ergänzung die ich hier im Forum gefunden habe, kann ich einen kompletten Layer auswählen und diesen über/unter ein Objekt setzten,
>>"nur würde ich gerne nicht nur ein Objekt auswählen sondern ein kompletten Layer."

Du widersprichst dir, oder?
Die Ergänzung wählt doch "einen kompletten Layer", genau was du möchtest..

Wenn du bedenkst dass du überhaupt nicht "einen Layer" und auch nicht "alle Objekte eines Layers" damit wählst, dann geht das.
(Deine "Ergänzung" wählt alle unverschachtelten Objekte des Layers im aktuellen Bereich <- nur um korrekt zu sein, Spitzfindigkeit ist hier unerlässlich)

Der Befehl ZEICHREIHENF lässt die Wahl mehrerer Referenzobjekte zu, also wählst du einfach "alle unverschachtelten Objekte welche auf diesen Layer verweisen" wählen, voila - Ziel erreicht.
https://help.autodesk.com/view/ACD/2023/DEU/?guid=GUID-3DC76D6E-8F81-4803-8D0A-AA7541D6357E
oder einfach testen, ZEICHREIHENF<enter> los gehts.

>>"Folgenden Befehl habe ich zu kompletten Layerauswahl verwendet:"
Genau genommen macht der Ausdruck: "alle unverschachtelten Objekte des aktuellen Bereiches welche auf diesen Layer verweisen", ja.


>>"Gibt es zusätzlich die Möglichkeit ein Objekt eine Ebene nach oben bzw. unten zu Schieben, ausgehend von der ursprünglichen Zeichenreihen also gleich wie in Bildbearbeitungsprogrammen. "
Im Grunde gibt es keine Ebenen in DXF/DWG, abgesehen von echten 3D-Positions-Unterschieden es gibt nur eine lineare Anzeigereihenfolge.
Würde also in deiner Vorstellung bedeuten: Immer genau 1 Objekt pro (Anzeige)Ebene!


So, und nun schaust du dir an wie man in einem MenüMakro, Script oder auch per (send)commands
Eingaben in die Befehlszeile automatisiert ablaufen lässt.

Da der Grundsatz zunächst der gleiche ist bedeutet es zunächst einmal AutoCAD-Befehle
über die Befehlszeile zu steuern - per HAND!
Dann muss man den Syntax für die Eingabe per MenüMakro, Script oder für (send)command eine Programmiersprache anpassen und fertig.

Händisch per Tastatur:
KREIS<enter>
0,0<enter>
50<enter>

im entsprechenden Syntax für

Script.scr:
KREIS
0,0
50

Makro.cuix&Werkzeugpaletten
KREIS;0,0;50

Lisp-(command:
(command "KREIS" "0,0" "50")

Im Lisp (command....)Ausdruck gibt es ganz grob folgende Regel:
Was genau so in der Befehlszeile ankommen soll wird in "" geschrieben (= "dumme Texteingabe")
und für den Fall man hat einen Lispausdruck der darin verarbeitet werden soll, dann keine "" um den Ausdruck.
(command "KREIS" (getpoint "\nPunkt wählen") PAUSE)


Das Prinzip sollte eigentlich jedem in Sekunden klar sein, spätestens wenn man den Kreis einmal per Tastatur erstellt hat.
Hier steht auch was zu Makro und Skript: https://ww3.cad.de/cgi-bin/ubb/ubbmisc.cgi?action=getannounce&ForumNumber=54&Start=2456475.99&End=2462835&Announce=2

Befehl für die Anzeigereihenfolge ist dir bekannt, also: _DRAWORDER oder auch ZEICHREIHENF
Dann tippe jetzt mal ein was du benötigst und dann setze es einfach um in Makro,Script oder auch Lisp.

Wenn der Befehl nach Objekten fragt, dann setzt du diesen Ausdruck ein (du erkennst diesen, er ist nur etwas verkürzt)
(ssget "_X" (list (assoc 8 (entget(ssname (ssget "_:S") 0)))(cons 410 (getvar "CTAB")))))


Versuche es mal in der Befehlzeile:
ZEICHREIHENF<enter>
(ssget "_X" (list (assoc 8 (entget(ssname (ssget "_:S") 0)))(cons 410 (getvar "CTAB")))))<enter>
<enter>
usw.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21389
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 24. Nov. 2022 11:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VanessaKrc 10 Unities + Antwort hilfreich

Wenn dir das mit dem Lisp geklammere noch zu suspekt ist und,
dann nutze zunächst mal SSX aus den Expresstools.
Ein (stark limitierende) Befehlszeilenversion für ssget.

Hier ein Beispiel,  mein Log um Objekte des Layers ALERT_2 über den Objekte des Layers  ALERT_3 zu platzieren:

Code:

Befehl: ZEICHREIHENF

Objekte wählen: 'SSX

Select object <None>:

Enter filter option [Block name/Color/Entity/Flag/LAyer/LType/Pick/Style/Thickness/Vector]: LAYER

>>Enter layer name to add <RETURN to remove>: Alert_2

Current filter: ((8 . "Alert_2"))
Enter filter option [Block name/Color/Entity/Flag/LAyer/LType/Pick/Style/Thickness/Vector]:

6 found.

Objekte wählen:
Objekte wählen: _p
6 gefunden

Objekte wählen:

Option für Objektreihenfolge eingeben [üBer objekten/uNter objekten/Oben/Unten] <Unten>: _above


Referenzobjekte wählen: 'SSX

Select object <None>:

Enter filter option [Block name/Color/Entity/Flag/LAyer/LType/Pick/Style/Thickness/Vector]: LAYER

>>Enter layer name to add <RETURN to remove>: ALERT_3

Current filter: ((8 . "ALERT_3"))
Enter filter option [Block name/Color/Entity/Flag/LAyer/LType/Pick/Style/Thickness/Vector]:

6 found.


Referenzobjekte wählen:

Referenzobjekte wählen: v
6 gefunden


Referenzobjekte wählen:

Befehl:


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

VanessaKrc
Mitglied


Sehen Sie sich das Profil von VanessaKrc an!   Senden Sie eine Private Message an VanessaKrc  Schreiben Sie einen Gästebucheintrag für VanessaKrc

Beiträge: 7
Registriert: 07.11.2022

AutoCad 2023

erstellt am: 25. Nov. 2022 11:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo cadffm,

vielen Dank für die Hilfe, das hat so geklappt.

------------------
Vanessa

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

whf_muc
Mitglied
Techniker


Sehen Sie sich das Profil von whf_muc an!   Senden Sie eine Private Message an whf_muc  Schreiben Sie einen Gästebucheintrag für whf_muc

Beiträge: 270
Registriert: 22.05.2004

Fujitsu Celsius M770, Xeon 2125, 4,0 GHz, 32 GB RAM, Quadro P2000, Windoof 10 Pro for Workstations - div. liNear Haustechnik Aufsätze -
Autocad 2022/2023

erstellt am: 28. Nov. 2022 07:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VanessaKrc 10 Unities + Antwort hilfreich

Wilfried Nelkel
Mitglied
glaubt mir eh keiner


Sehen Sie sich das Profil von Wilfried Nelkel an!   Senden Sie eine Private Message an Wilfried Nelkel  Schreiben Sie einen Gästebucheintrag für Wilfried Nelkel

Beiträge: 803
Registriert: 15.03.2001

AutoCAD/ADT/ACA 2002 - 2023, Hardware: HP Z620 Workstation, Xeon E5-1620 € 3,60 GHz, 64 GB RAM, NVIDIA Quadro RTX 4000, Windows 10-64bit .....
ATC-Trainer

erstellt am: 28. Nov. 2022 20:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VanessaKrc 10 Unities + Antwort hilfreich

Ich hab hier mal was programmiert, welches die Objekte der Layer in die korrekte (was definiert werden muss) Reihenfolge bringt. Einmal definiert, braucht man einen Klick.

Wenn Interesse besteht, einfach melden 

------------------
Schöne Grüsse


Wilfried Nelkel
CAD-Technik Nelkel GmbH
http://www.cad-nelkel.de
http://www.schulungshandbuch.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Wilfried Nelkel
Mitglied
glaubt mir eh keiner


Sehen Sie sich das Profil von Wilfried Nelkel an!   Senden Sie eine Private Message an Wilfried Nelkel  Schreiben Sie einen Gästebucheintrag für Wilfried Nelkel

Beiträge: 803
Registriert: 15.03.2001

AutoCAD/ADT/ACA 2002 - 2023, Hardware: HP Z620 Workstation, Xeon E5-1620 € 3,60 GHz, 64 GB RAM, NVIDIA Quadro RTX 4000, Windows 10-64bit .....
ATC-Trainer

erstellt am: 30. Nov. 2022 18:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VanessaKrc 10 Unities + Antwort hilfreich

Hier mal kurz nen Hinweis in eigener Sache!

Ich versende das Programm gerne.

- Ab und an ist auch ein Blick in den SPAM-Ordner sinnvoll.
- Zur Frage: "Wie entpacke ich eine ZIP-Datei" empfiehlt sich eine Suche bei Google oder ein Klick hier:
  https://support.microsoft.com/de-de/windows/zippen-und-entzippen-von-dateien-f6dde0a7-0fec-8294-e1d3-703ed85e7ebc
- Bei Dialogen per Email ist eine Telefonnummer immer hilfreich, da eine Kommunikation zwischen Frage und Antwort keine 30 Minuten dauern sollte

Nur so als Tipp 

------------------
Schöne Grüsse


Wilfried Nelkel
CAD-Technik Nelkel GmbH
http://www.cad-nelkel.de
http://www.schulungshandbuch.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz